Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QTextFormat.ObjectTypes

    java.lang.Object
      java.lang.Enum<QTextFormat.ObjectTypes>
          com.trolltech.qt.gui.QTextFormat.ObjectTypes

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QTextFormat.ObjectTypes>

Enclosing class:
  QTextFormat

    public static enum QTextFormat.ObjectTypes

extends java.lang.Enum<QTextFormat.ObjectTypes>
implements QtEnumerator

Press link for info on QTextFormat.ObjectTypes

Enum Constant Summary
`ImageObject` Internal.
`NoObject` Internal.
`TableObject` Internal.
`UserObject` The first object that can be used for application-specific purposes.

Method Summary
`static QTextFormat.ObjectTypes` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextFormat.ObjectTypes` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QTextFormat.ObjectTypes[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoObject

    public static final QTextFormat.ObjectTypes NoObject

  Internal.

### ImageObject

    public static final QTextFormat.ObjectTypes ImageObject

  Internal.

### TableObject

    public static final QTextFormat.ObjectTypes TableObject

  Internal.

### UserObject

    public static final QTextFormat.ObjectTypes UserObject

  The first object that can be used for application-specific purposes.

Method Detail

### values

    public static final QTextFormat.ObjectTypes[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QTextFormat.ObjectTypes c : QTextFormat.ObjectTypes.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QTextFormat.ObjectTypes valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTextFormat.ObjectTypes resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD